org.apache.hc.client5.http.auth

## Enum KerberosConfig.Option

- java.lang.Object
- - java.lang.Enum<KerberosConfig.Option>
  - - org.apache.hc.client5.http.auth.KerberosConfig.Option

- All Implemented Interfaces:
    Serializable, Comparable<KerberosConfig.Option>
  Enclosing class:
    KerberosConfig

      public static enum KerberosConfig.Option
      extends Enum<KerberosConfig.Option>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `DISABLE`
    `ENABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KerberosConfig.Option` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KerberosConfig.Option[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final KerberosConfig.Option DEFAULT

    - #### ENABLE

          public static final KerberosConfig.Option ENABLE

    - #### DISABLE

          public static final KerberosConfig.Option DISABLE

  - ### Method Detail

    - #### values

          public static KerberosConfig.Option[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KerberosConfig.Option c : KerberosConfig.Option.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KerberosConfig.Option valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.